libao (1.2.2+20180113-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (quilt).  Closes: #1007051

  [ Helmut Grohne ]
  * Drop unused Build-Depends: libxt-dev.  Closes: #981657

 -- Bastian Germann <bage@debian.org>  Wed, 21 Feb 2024 12:57:19 +0000

libao (1.2.2+20180113-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 20 Dec 2020 17:21:29 +0100

libao (1.2.2+20180113-1) unstable; urgency=medium

  * Cherry pick upstream fix for the pulse plugin, and proposed upstream patch
    to better sanity check all memory allocations.
  * Don't build the esd plugin anymore, the GNOME maintainers want to kill off
    esound for Buster.  Closes: #856082
  * Build for multiarch.  Closes: #638741

 -- Ron Lee <ron@debian.org>  Sat, 13 Jan 2018 20:28:42 +1030

libao (1.2.2-1) unstable; urgency=medium

  * Build the sndio plugin, now that it's included in Debian too.
    It's not entirely clear whether "provide every possible plugin on every
    platform" really is a good thing to be doing here.  The value of libao
    is that it's portable for applications, not that it offers an infinite
    variety of ways to do that, but let's see what happens.  Closes: #802473
  * Ignore unknown config options when using pulse.  Closes: #650301

 -- Ron Lee <ron@debian.org>  Sun, 30 Oct 2016 21:03:53 +1030

libao (1.1.0-3) unstable; urgency=medium

  * Use linux-any instead of negating specific other arches.  Closes: #634625
  * Regenerate build system files, mostly to pull in a later libtool.m4
    which has fixes for building the ppc64le architecture.  Closes: #752022

 -- Ron Lee <ron@debian.org>  Sat, 30 Aug 2014 17:43:13 +0930

libao (1.1.0-2) unstable; urgency=low

  * Adopting this package with the blessing of John.
    Leaving him in uploaders because he's busy, not disinterested, but putting
    myself in the hotseat for any reports related to this one now.
  * End the grief with roar.
    Too many people now have been through all the stages of Denial, Anger,
    Bargaining, and Depression with it, so it's time to accept the only
    sensible course of direct action that remains to preserve sanity.
    Closes: #667039
  * Pull upstream update to libao.conf.5, Closes: #636917

 -- Ron Lee <ron@debian.org>  Sat, 02 Jun 2012 20:36:50 +0930

libao (1.1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/libao-dev.install:
    - Don't install unneeded .la files. (Closes: #633179)

 -- Alessio Treglia <alessio@debian.org>  Wed, 15 Feb 2012 21:19:04 +0100

libao (1.1.0-1) unstable; urgency=low

  * New upstream release.
    - Remove debian/patches/snd_audio_bsd included upstream.
    - libao4: libao crashes when using pulse plugin. (Closes: #577645)
  * Bumped standards version to 3.9.1.
  * Added libroar support. (Closes: #589760)
  * Removed quilt as no more patches.

 -- John Francesco Ferlito <johnf@inodes.org>  Thu, 24 Mar 2011 22:20:18 +1100

libao (1.0.0-5) unstable; urgency=low

  * Need to conflict on libao2 due to /etc/libao.conf stupidness.
  * Added quiet option to libao.conf since libraries shouldn't print error
    messages by default. (Closes: #590961)
  * Added quilt support and debian/README.source
  * Add upstream patch for compiling on BSD with sndio. (Closes: #592013)

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 13 Apr 2010 22:41:05 +1000

libao (1.0.0-4) unstable; urgency=low

  * Actually depend on libao.

 -- John Francesco Ferlito <johnf@inodes.org>  Sun, 11 Apr 2010 11:04:30 +1000

libao (1.0.0-3) unstable; urgency=low

  * Split out libao.conf into libao-common package so we don't have problems
    with future SONAME changes. (Closes: #576604)
  * Include man page for libao.conf
  * Bumped standards version to 3.8.4.
  * Added source/format with version 1.0

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 06 Apr 2010 18:36:44 +1000

libao (1.0.0-2) unstable; urgency=low

  * Fix shlibdeps to ignore the plugins

 -- John Francesco Ferlito <johnf@inodes.org>  Sat, 03 Apr 2010 19:15:19 +1100

libao (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - Please package new upstream version 1.0.0. (Closes: #575678)
    - pa_xmalloc' implicitly converted to pointer. (Closes: #573093)
    - libao2: need to clear the final period in alsa driver before closing it.
      (Closes: #462753)
    - libao: oss plugin assumes malloc not to return NULL. (Closes: #316724)
    - useless message about underruns. (Closes: #393471)
    - useless libs in pkg-config file. (Closes: #466692)
    - vorbis-tools: ogg123 --quiet is not entirely quiet. (Closes: #410174)
    - libao2: WAV device doesn't print error when device is full.
      (Closes: #130816)
    - libao2: esd driver: issues when using over network. (Closes: #267073)
  * Soname bump libao2 -> libao4
  * Update debian/control
    - Add version dependency on debhelper.
    - Bump to Standards-Version 3.8.3.
    - Remove Adeodato Simó from Uploaders.
    - Add John Francesco Ferlito to Uploaders.
    - Remove duplicate Section headers.
    - Improve descriptions.
    - Add ${misc:Depends}.
  * Add debian/symbols
  * Remove all references to libarts
  * Removed debian/patches/path-max.patch, applied upstream.
  * Cleaned up some lintian warnings (Thanks to Benjamin Drung).
    (Closes: #572286)

 -- John Francesco Ferlito <johnf@inodes.org>  Sat, 03 Apr 2010 15:46:12 +1100

libao (0.8.8-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on hurd-i386; thanks Samuel Thibault for the patch
    (Closes: #522101).

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 02 Mar 2010 20:53:11 +0100

libao (0.8.8-5) unstable; urgency=low

  * Bump to Standards-Version 3.8.0.
  * Remove myself from Uploaders. 

 -- Clint Adams <schizo@debian.org>  Fri, 27 Feb 2009 19:33:14 -0500

libao (0.8.8-4) unstable; urgency=medium

  [ Adeodato Simó ]
  * Capitalize ALSA correctly in the long description. (Closes: #432958)

  [ William Pitcock ]
  * Capitalize ALSA correctly in the long description. (Closes: #432958)
  * debian/control, debian/rules: Add debug symbols package libao-dbg.
  * debian/patches/01_fix_arts_init_wackyness.patch:
    Fix arts_init() wackyness where on non-KDE systems, it causes _exit()
    to be called in ao_initialize().  (Closes: #464638, #461119, #440040).
  * Standards-Version bump; no changes required.

  [ Clint Adams ]
  * Rename XS-VCS-Bzr header to Vcs-Bzr.

 -- Clint Adams <schizo@debian.org>  Fri, 08 Feb 2008 18:20:30 -0500

libao (0.8.8-3) unstable; urgency=low

  * Change default_driver from 'alsa09' to 'alsa' in /etc/libao.conf.
    closes: #427903.

 -- Clint Adams <schizo@debian.org>  Sun, 01 Jul 2007 20:39:56 -0400

libao (0.8.8-2) unstable; urgency=low

  * Make libao2 Replace: libao-pulse, and Suggest: libpulse0. (Closes: #426751)

 -- Adeodato Simó <dato@net.com.org.es>  Wed, 30 May 2007 21:08:19 +0200

libao (0.8.8-1) unstable; urgency=low

  * New upstream release.

  * Add libpulse-dev to Build-Depends, and install the pulse plugin.

  * Drop debian/patches/no_debian_subdir.diff, applied upstream.

  * Install CHANGES as the upstream changelog.

  * Sundry housekeeping changes:
    - update Standards-Version to 3.7.2 (no changes required).
    - use ${binary:Version} instead of ${Source-Version}.
    - remove Emacs cruft from debian/changelog.
    - use quilt.make.

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 29 May 2007 22:12:18 +0200

libao (0.8.6-4) unstable; urgency=low

  * Don't build-depend on libasound2-dev on kfreebsd-amd64. 
    closes: #361484.

 -- Clint Adams <schizo@debian.org>  Sun,  9 Apr 2006 12:55:36 -0400

libao (0.8.6-3) unstable; urgency=low

  * Fix FTBFS on kFreeBSD and Hurd (closes: #272373):
    + don't build-depend on libasound2-dev on kfreebsd-i386 and hurd-i386.
    + pass "--exclude usr/lib/ao/plugins-2/libalsa09." to dh_install if
      DEB_HOST_ARCH_OS is not linux.

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 17 Jan 2006 23:01:05 +0100

libao (0.8.6-2) unstable; urgency=low

  * Switch maintenance to the Debian Xiph.org Maintainers (alioth/pkg-xiph).

  * Change default device from 'oss' to 'alsa09' in /etc/libao.conf. With the
    availability of dmix, this should mean that more users get it working out
    of the box, even if they have a sound daemon running. (Closes: #304421)

  * Move HTML documentation from /usr/share/doc/libao-dev itself to an html/
    subdirectory of it.

  * Update debian/control:
    + drop unnecessary build-dependencies on gawk and devscripts.
    + drop version restriction on debhelper build-dependency, since it's
      already satisfied with stable.

  * Overhaul debian/rules, and switch to quilt for patch management.

  * debian/patches:
    + no_debian_subdir.diff: teach Makefile.in and configure that debian/ is
      not a subdirectory that they should be caring about.

  * Update download URL in debian/copyright.

  * Add debian/watch file.

  * Bumped Standards-Version to 3.6.2 (no changes required).

  * Ship as a non-native package. (Closes: #321624)

  * Drop useless/empty libao2/README.Debian.

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 17 Jan 2006 02:07:19 +0100

libao (0.8.6-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug (FTBFS).
  * Add libxau-dev to Build-Depends, so that the nas plugin is compiled again.
    (Closes: #319343)

 -- Adeodato Simó <asp16@alu.ua.es>  Sat, 06 Aug 2005 16:02:18 +0200

libao (0.8.6-1) unstable; urgency=low

  * New upstream.
  * libao supports polypaudio in source now and will be rebuilt with support
    for it enabled once Debian has polyaudio packages.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 17 Mar 2005 20:30:00 -0600

libao (0.8.5-1) unstable; urgency=low

  * New upstream.
  * Included NMU fixes. (Closes: #225616, #225983)

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 28 Mar 2004 22:00:00 -0600

libao (0.8.4-1.1) unstable; urgency=medium

  * NMU
  * [debian/control] Added build dependencies on libaudio-dev (for NAS) and
    xlibs-dev (for libXau needed for NAS support). (Closes: #225616)

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat,  3 Jan 2004 14:15:00 +0100

libao (0.8.4-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 10 Oct 2003 23:00:00 -0500

libao (0.8.3-1.1) unstable; urgency=low

  * Non-maintainer upload sponsored by Joey Hess.
  * Build-depend on libartsc0-dev and suggest libartsc0 instead of
    libarts-dev and libarts (Closes: #189160).
  * GNU config automated update: config.sub (20020621 to 20030509),
    config.guess (20020529 to 20030519)

 -- Dagfinn Ilmari Mannsaker <ilmari@ilmari.org>  Mon, 14 Jul 2003 15:55:31 +0200

libao (0.8.3-1) unstable; urgency=low

  * New upstream. (Closes: #134520, #145785)

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 19 Jul 2002 09:00:00 -0500

libao (0.8.2-1) unstable; urgency=low

  * New upstream. (Closes: #110858)
  * Changed to building alsa 0.9.x plugin instead of obsolete 0.5.x (Closes:
    #103787)
  * added autotools target (config.* updater) to rules

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 24 Dec 2001 11:00:00 -0600

libao (0.8.1-1) unstable; urgency=high

  * New upstream.
  * Plugin dir changed. (Closes: #109071, #109532, #108750, #108755, #108790,
    #109383, #109877, #109383)

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 22 Aug 2001 23:00:00 -0500

libao (0.8.0-1) unstable; urgency=low

  * New upstream. (Closes: #101380)
  * soname changed to 2.

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 12 Aug 2001 21:00:00 -0500

libao (0.7.0-1) unstable; urgency=low

  * New upstream.
  * Fixed versioned depends
  * Changed clean method to distclean

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 17 Jun 2001 20:00:00 -0500

libao (0.6.0-1) unstable; urgency=low

  * New upstream.
  * Fixed spelling error (closes: #85420)

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 26 Feb 2001 08:00:00 -0600

libao (0.5.0-3) unstable; urgency=low

  * Fixed Build-Depends libasound1-dev to only not be on m68k.
  * Fixed Sections.
  * Updated to Standards-Version to 3.5.1.0
  * Added Lintian override file.

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 17 Feb 2001 16:45:59 -0600

libao (0.5.0-2) unstable; urgency=low

  *  Fixed Build-Depends for archs that do not have libasound1-dev (closes:
     #78097)
  *  Renamed development library package
 
 -- Christopher L Cheney <ccheney@debian.org>  Sat,  3 Feb 2001 12:30:52 -0600

libao (0.5.0-1) unstable; urgency=low

  * Initial Release.

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 29 Oct 2000 00:39:24 -0500

